/* Font Declarations */
@font-face {
    font-family: 'apple_garamond';
    src: url('assets/fonts/AppleGaramond-Light.ttf');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'apple_garamond_italic';
    src: url('assets/fonts/AppleGaramond-LightItalic.ttf');
    font-weight: normal;
    font-style: normal;
}

html {
    font-family: 'DM Sans', sans-serif;
    background-color: #F1ECE1;
    scroll-snap-type: none;
    width: 100%;
    margin: 0;
}


@media only screen and (max-width: 799px ) {  
    body {
        margin: 0;
        z-index: 0;
        animation-name: fadeIn;
        animation-duration: 1.0s;
        display: flex;
        flex-direction: column-reverse;
        height: auto;
    }
    
    /* Common styles */
    .display {
        font-style: normal;
        font-weight: 500;
        font-size: 2.5rem;
        line-height: 130%;
            /* or 75px */
        letter-spacing: -0.02em;
            /* Green/900 */
        color: #17291F;
    }
    .display-garamond {
        font-family: 'Apple Garamond Light';
        font-style: italic;
        font-weight: 400;
    }
    .body {
        font-weight: 500;
        font-size: 1rem;
        line-height: 150%;
        /* or 24px */
        /* Green/900 */
        color: #17291F;
    }
    .title-garamond {
        font-weight: 500;
        font-size: 1.25rem;
        line-height: 120%;
        /* identical to box height, or 29px */
        letter-spacing: -0.02em;    
        /* Green/900 */
        color: #17291F;
        margin-bottom: 16px;
    }
    
    .link {
        color: #17291F;
        text-decoration: underline;
        font-weight: 400;
        font-size: 1rem;
        line-height: 150%;
    }
    .link:hover {
        color: #2A704A;
        text-decoration: underline;
     
    }
    
    p {
        margin: 0;
    }
    h1 {
        margin: 0;
    }
    h2 {
        margin: 0;
    }
    h3 {
        margin: 0;
    }
    a {
        text-decoration: none;
        color: #2A2C20;
    }
    
    .workSamples {
        width: 100%;
        min-height: 640px;
        max-height: auto;
        background-image: url(/hero.png);
        background-size: cover;
        background-repeat: no-repeat;
        background-color: #F9F7F3;
    }
    
    .about {
        margin: 0 auto;
        padding: 120px 32px;
        display: flex;
        flex-direction: column;
        gap: 64px;
    }
    
    .links {
        display: flex;
        flex-direction: row;
        gap: 64px;
    }
    
    .column {
        display: flex;
        flex-direction: column;
        gap: 24px;
    }
    
    .linkGroup {
        display: flex;
        flex-direction: column;
    }
    
    .logo {
        background-image: url(assets/bkLogo.svg);
        width: 24px;
        height: 24px;
        background-size: contain;
        background-repeat: no-repeat;
        position: absolute;
        top: 32px;
        left: 32px;
    }
    
    .location {
        font-family: 'DM Sans';
        font-style: normal;
        font-weight: 700;
        font-size: 16px;
        line-height: 150%;
        position: absolute;
        top: 32px;
        right: 32px;
    }
    
    .avatar {
        background-image: url("assets/avatar.png");
        background-size: contain;
        background-repeat: no-repeat;
        width: auto;
        height: 64px;
    }
    
    .contactButton {
        position: fixed;
        bottom: 32px;
        left: 50%;
    -webkit-transform: translateX(-50%);
    transform: translateX(-50%);
        background: #FFB82F;
        border: 1px solid #E7A72C;
        box-shadow: 0px 1px 3px rgba(22, 21, 41, 0.05);
        padding: 24px;
        border-radius: 48px;
        font-family: 'apple_garamond_italic';
        font-style: italic;
        font-weight: 400;
        font-size: 1.5rem;
        line-height: 100%;
        color: #17291F;
        display: flex;
        flex-direction: row;
        gap: 8px;
    }
    .contactButton:hover {
        background: #E7A72C;
    }
    
    
    .icon-arrow {
        background-image: url("assets/arrow.svg");
        background-size: contain;
        width: 24px;
        height: 24px;
    }
    
    
    @keyframes animatebottom {
        from {bottom: 25%; transition: ease-out;
        }
        to {bottom: 30%; transition: ease-out;
        }
      }
    
      @keyframes animateOut {
        from {bottom: 30%; transition: ease-out;
        }
        to {bottom: 25%; transition: ease-out;
        }
      }
    
    
    @keyframes fadeIn {
        from {opacity: 0} 
        to {opacity: 1}
    }

}

@media screen and (min-width: 800px) {  
    body {
        margin: 0;
        z-index: 0;
        animation-name: fadeIn;
        animation-duration: 1.0s;
        display: flex;
        flex-direction: row;
        height: 100vh;
    }
    
    /* Common styles */
    .display {
        font-style: normal;
        font-weight: 500;
        font-size: 2.5rem;
        line-height: 130%;
            /* or 75px */
        letter-spacing: -0.02em;
            /* Green/900 */
        color: #17291F;
    }
    .display-garamond {
        font-family: 'Apple Garamond Light';
        font-style: italic;
        font-weight: 400;
    }
    .body {
        font-weight: 500;
        font-size: 1rem;
        line-height: 150%;
        /* or 24px */
        /* Green/900 */
        color: #17291F;
    }
    .title-garamond {
        font-weight: 500;
        font-size: 1.25rem;
        line-height: 120%;
        /* identical to box height, or 29px */
        letter-spacing: -0.02em;    
        /* Green/900 */
        color: #17291F;
        margin-bottom: 16px;
    }
    
    .link {
        color: #17291F;
        text-decoration: underline;
        font-weight: 400;
        font-size: 1.125rem;
        line-height: 150%;
    }
    .link:hover {
        color: #2A704A;
        text-decoration: underline;
     
    }
    
    p {
        margin: 0;
    }
    h1 {
        margin: 0;
    }
    h2 {
        margin: 0;
    }
    h3 {
        margin: 0;
    }
    a {
        text-decoration: none;
        color: #2A2C20;
    }
    
    .workSamples {
        width: 50%;
        background-image: url(hero.png);
        background-size: cover;
        background-repeat: no-repeat;
        background-color: #F9F7F3;
    }
    
    .about {
        width: 50%;
        max-width: 720px;
        margin: 0 auto;
        padding: 112px 64px;
        display: flex;
        flex-direction: column;
        gap: 64px;
    }
    
    .links {
        display: flex;
        flex-direction: row;
        gap: 64px;
    }
    
    .column {
        display: flex;
        flex-direction: row;
        gap: 24px;
    }
    
    .linkGroup {
        display: flex;
        flex-direction: column;
    }
    
    .logo {
        background-image: url(assets/bkLogo.svg);
        width: 24px;
        height: 24px;
        background-size: contain;
        background-repeat: no-repeat;
        position: absolute;
        top: 32px;
        left: 32px;
    }
    
    .location {
        font-family: 'DM Sans';
        font-style: normal;
        font-weight: 700;
        font-size: 16px;
        line-height: 150%;
        position: absolute;
        top: 32px;
        right: 32px;
    }
    
    .avatar {
        background-image: url("assets/avatar.png");
        background-size: contain;
        background-repeat: no-repeat;
        width: 120px;
        height: auto;
    }
    
    .contactButton {
        position: fixed;
        bottom: 32px;
        right: 32px;
        background: #FFB82F;
        border: 1px solid #E7A72C;
        box-shadow: 0px 1px 3px rgba(22, 21, 41, 0.05);
        padding: 24px;
        border-radius: 48px;
        font-family: 'apple_garamond_italic';
        font-style: italic;
        font-weight: 400;
        font-size: 1.5rem;
        line-height: 100%;
        color: #17291F;
        display: flex;
        flex-direction: row;
        gap: 8px;
    }
    .contactButton:hover {
        background: #E7A72C;
    }
    
    
    .icon-arrow {
        background-image: url("assets/arrow.svg");
        background-size: contain;
        width: 24px;
        height: 24px;
    }
    
    
    @keyframes animatebottom {
        from {bottom: 25%; transition: ease-out;
        }
        to {bottom: 30%; transition: ease-out;
        }
      }
    
      @keyframes animateOut {
        from {bottom: 30%; transition: ease-out;
        }
        to {bottom: 25%; transition: ease-out;
        }
      }
    
    
    @keyframes fadeIn {
        from {opacity: 0} 
        to {opacity: 1}
    }
    
    }


@media screen and (min-width: 1280px) {  
body {
    margin: 0;
    z-index: 0;
    animation-name: fadeIn;
    animation-duration: 1.0s;
    display: flex;
    flex-direction: row;
    height: 100vh;
}

/* Common styles */
.display {
    font-style: normal;
    font-weight: 500;
    font-size: 5rem;
    line-height: 130%;
        /* or 75px */
    letter-spacing: -0.02em;
        /* Green/900 */
    color: #17291F;
}
.display-garamond {
    font-family: 'Apple Garamond Light';
    font-style: italic;
    font-weight: 400;
}
.body {
    font-weight: 500;
    font-size: 1rem;
    line-height: 150%;
    /* or 24px */
    /* Green/900 */
    color: #17291F;
}
.title-garamond {
    font-weight: 500;
    font-size: 1.5rem;
    line-height: 120%;
    /* identical to box height, or 29px */
    letter-spacing: -0.02em;    
    /* Green/900 */
    color: #17291F;
    margin-bottom: 16px;
}

.link {
    color: #17291F;
    text-decoration: underline;
    font-weight: 400;
    font-size: 1.125rem;
    line-height: 150%;
}
.link:hover {
    color: #2A704A;
    text-decoration: underline;
 
}

p {
    margin: 0;
}
h1 {
    margin: 0;
}
h2 {
    margin: 0;
}
h3 {
    margin: 0;
}
a {
    text-decoration: none;
    color: #2A2C20;
}

.workSamples {
    width: 50%;
    background-image: url(hero.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-color: #F9F7F3;
}

.about {
    width: 50%;
    max-width: 720px;
    margin: 0 auto;
    padding: 112px 64px;
    display: flex;
    flex-direction: column;
    gap: 64px;
}

.links {
    display: flex;
    flex-direction: row;
    gap: 64px;
}

.column {
    display: flex;
    flex-direction: row;
    gap: 64px;
}

.linkGroup {
    display: flex;
    flex-direction: column;
}

.logo {
    background-image: url(assets/bkLogo.svg);
    width: 24px;
    height: 24px;
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    top: 32px;
    left: 32px;
}

.location {
    font-family: 'DM Sans';
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    line-height: 150%;
    position: absolute;
    top: 32px;
    right: 32px;
}

.avatar {
    background-image: url("assets/avatar.png");
    background-size: contain;
    background-repeat: no-repeat;
    width: 80px;
    height: auto;
}

.contactButton {
    position: fixed;
    bottom: 32px;
    right: 32px;
    background: #FFB82F;
    border: 1px solid #E7A72C;
    box-shadow: 0px 1px 3px rgba(22, 21, 41, 0.05);
    padding: 24px;
    border-radius: 48px;
    font-family: 'apple_garamond_italic';
    font-style: italic;
    font-weight: 400;
    font-size: 1.5rem;
    line-height: 100%;
    color: #17291F;
    display: flex;
    flex-direction: row;
    gap: 8px;
}
.contactButton:hover {
    background: #E7A72C;
}


.icon-arrow {
    background-image: url("assets/arrow.svg");
    background-size: contain;
    width: 24px;
    height: 24px;
}


@keyframes animatebottom {
    from {bottom: 25%; transition: ease-out;
    }
    to {bottom: 30%; transition: ease-out;
    }
  }

  @keyframes animateOut {
    from {bottom: 30%; transition: ease-out;
    }
    to {bottom: 25%; transition: ease-out;
    }
  }


@keyframes fadeIn {
    from {opacity: 0} 
    to {opacity: 1}
}

}




